@import url('sanfran.css');
@import url("fade/fade_in.css");



div.titlebar {
    padding-top:6vmin;
    background-image: url("/static/images/leadership/wood-800.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    left: calc(-1 * var(--body-side-margin));
    width: calc(100% + calc(var(--body-side-margin) * 2));
    overflow: hidden;
    position:relative;
    padding-top:1vmin;
    display:flex;
    justify-content: space-between;
    justify-items: center;
    align-items: center;
    flex-direction: column;
}


div#title-container{
    padding-top: 10vh;
}

div#title-container{
    max-width: min(90%, 90vw);
}

div#title-container img{
    max-width: 100%;
}

img#wave{
    width:100vw;
    height:25vh;
}

@media (max-width: 800px) {
    
    img#wave{
        width:100vw;
        height:15vh;
    }
}




div#main-content{
    width:calc(100vw - calc(var(--body-side-margin) * 2.0));
    height:fit-content;
    color:var(--theme-white)
}



div#main-content span#about-pastor {
    position: absolute;
    z-index: 1;
    background-color: rgb(0, 0, 0, 0.5);
    padding: 10vmin;
    font-size: 2rem;
    color: white;
    top: 20vh;
    border-radius: 20px;
    font-family: sans-serif;
}


div#intro_title{
    width:100%;
    display: flex;
    align-items: center;
}

div#intro_title.mobile{
    margin-top: 0vh;
}

div#intro_title.mobile{
    display: none;
}

span#intro_title{
    margin-top: 5vh;
    font-size: 6vmin;
    font-family: "San Francisco", Arial, Helvetica, sans-serif;;
    text-align: center;
    width:100%;
}

span#intro_title.mobile{
    font-size: 15vmin;
}

span.typetext{
    display: none;
}

p#intro{
    font-size:4.5vmin;
    font-family: "San Francisco", Arial, Helvetica, sans-serif;;
    text-align: center;
}

@media (max-width: 900px) {
    p#intro{
        margin-top: 5vh;
    }
    div.desktop span#intro_title{
        display: none;
    }
    span.typetext{
        display: inline-block;
    }
    div#intro_title.mobile{
        display: flex;
    }
    * {
        text-align: center;
    }
}


div:has(> img.leadership_poi_img ) {
    transform: scale(0.85);
    transform-origin: top center;
}

div#tony-img-container:has(> img.leadership_poi_img ){
    transform: scale(1);
}


.leadership_poi_container{
    display: flex;
    align-items: center;
    justify-content: center;
}


.leadership_poi_img{
    height: auto;
    width: auto;
    display: block;
    position:static;
    max-width: 80vw;
    border: 1rem solid white;
    max-height: 90vh;
}


body{
    background-color: var(--theme-dark);
}


div#title-bar{
    display: flex;
}



/*TEMP*/

div#title-content {
    display:flex;
    align-items:center;
    padding-top: calc(2.0 * var(--navbar-height));
    justify-content: center;
    flex-direction: column;
    margin-top: 10vh;
}


.mobile{
    visibility: visible;
}

.desktop {
    visibility: hidden;
}


#about-text-container-desktop span{
    display: none;
    z-index: 1;
    background-color: rgb(32, 39, 137, 0.5);
    padding: 10vmin;
    font-size: 8rem;
    color: white;
    border-radius:2vmin;
    height:fit-content;
    width: fit-content;
    text-align: center;
}

div#tony-cotainer{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-top: 20vh;
    /*margin-top: 25vh;*/
}


div#about-tony{
    font-size: 10vmin;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}


div#tony-img-container{
    position: relative;
    display: inline-block;
    transform: rotate(0deg);
    height: fit-content;
}

span#tony-neal-img-text-desktop{
    display: none;
    font-size:6rem;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%; /* bottom half of the image */
    color: white;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px;
    box-sizing: border-box;
}

span#about-text-container-mobile{
    display: flex;
    font-size:10vmin;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%; /* bottom half of the image */
    color: white;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 10px;
    box-sizing: border-box;
}

div#about-text-container {
    width:50%;
    display: flex;
    text-align: center;
}

img#pastor_img_tmp{
    height: auto;
    width: auto;
    display: block;
    position:static;
    max-width: 80vw;
    border: 1rem solid white;
    aspect-ratio: 543/1000;
}

div#body-content{
    width: 100%;
    white-space: pre-line;
    font-family: "San Francisco", Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
}

.ally-body-content{
        width: 100%;
    white-space: pre-line;
    font-family: "San Francisco", Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
    display:flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

div.contact{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.contact a.contact{
    text-align: center;
    text-decoration: none;

            padding-top:2vh;
        padding-bottom:2vh;
        padding-right:20vw;
        padding-left:20vw;
    background-color: var(--theme-colorful);
    color:var(--theme-white);
    font-size: 5vmin;
    font-family: "San Francisco", Arial, Helvetica, sans-serif;
}


div.leadership_title{
    font-size: 10vmin;
    text-align: center;
    color:white;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 2vh;
}


div#elders-container div.elder div img {
    max-width: 100%;
    object-fit: cover;
    object-position: center;
    width: 100%;
    max-height:max(85vh, 800px);
}

div#elders-container{
    margin-top: 5vh;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width:100%;
    justify-content: space-around;
}

div.elder{
    width:100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-bottom: 10vh;
}

.elder-name{
    font-size: 10vmin;
    text-align: center;
    color:white;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 2vh;
}

.elder-text{
    display: flex;
    flex-direction: column;
    width:100%;
}


.elder-img-container{
    display: flex;
    justify-content: center;
}


.leadership_poi_img_container{
    display:flex !important;
    align-items: center;
    justify-content: center;
}


div#hansen-name{
    font-size: 5vmin;
    text-align: center;
    display: block;
    z-index: 1;
    padding-top:3vh;
    padding-bottom: 3vh;
    padding-left:4vw;
    padding-right:4vw;
    background-color: none;
    color: color(--theme-light);
    border-radius:2vmin;
    height:fit-content;
    width: fit-content;
}

/* Desktop layout */

@media (min-width: 900px) {
div#hansen-name{
    background-color:rgb(from var(--theme-colorful) r g b / 100%)
}

    div.elder{
        flex-direction: row;
    }
    div#david-enertson{
        flex-direction: row-reverse;
    }
    .elder-child{
        width:40%;
    }

    div.contact a.contact{
        padding-left:10vw;
        padding-right:10vw;
    }

    #about-text-container-desktop span{
        display: block;
        z-index: 1;
        background-color: rgb(from var(--theme-colorful) r g b / 100%);
        padding: 10vmin;
        font-size: 8rem;
        color: white;
        border-radius:2vmin;
        height:fit-content;
        width: fit-content;
    }

    .mobile{
        visibility: hidden;
    }
    
    .desktop {
        visibility: visible;
    }

    div#tony-cotainer{
        display: block;
    }

    div#tony-img-container{
        position: relative;
        display: inline-block;
        transform: rotate(10deg);
        float:right;
        shape-outside: margin-box;
        margin-bottom: 3vh;
    }

    div#tony-cotainer > div#tony-img-container{
        margin-left:10vw;
        transform:rotate(10deg);
    }

    span#tony-neal-img-text-desktop{
        display: block;
        font-size:6rem;
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 50%; /* bottom half of the image */
        color: white;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        padding: 10px;
        box-sizing: border-box;
    }
    
    div#about-text-container {
        width:50%;
        display: flex;
        text-align: center;
    }

    img#pastor_img_tmp{
        height: 100%;
        width: auto;
        display: block;
        position:static;
        max-width: 70vw;
        border: 1rem solid white;
        aspect-ratio: 543/1000;
    }

    div#body-content{
        width: 100%;
        white-space: pre-line;
        font-family: "San Francisco", Arial, Helvetica, sans-serif;
        font-size: 1.5rem;
    }

    .leadership_container{
        flex-direction: row-reverse;
    }

    .leadership_poi_img{
        height: 100%;
        width: auto;
        display: block;
        position:static;
        max-width: 70vw;
        border: 1rem solid white;
    }

    div#title-content{
        flex-direction: row-reverse;
        align-items:flex-start;
    }

    .leadership_poi_img_container{
        transform: scale(0.85) rotate(10deg) !important;
        margin-left:10vw;
    }


    div.leadership_title{
        display: none;
    }
}








.story-script-regular {
    /*font-family: "Story Script", sans-serif;*/
    font-family: "San Francisco", sans-serif;
    font-weight: 400;
    font-style: normal;
}